## WebKitDOMVideoTrackList WebKitDOMVideoTrackList |

## Functions

WebKitDOMVideoTrack * | webkit_dom_video_track_list_item ()
WebKitDOMVideoTrack * | webkit_dom_video_track_list_get_track_by_id ()
gboolean | webkit_dom_video_track_list_dispatch_event ()
gulong | webkit_dom_video_track_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMVideoTrackList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMVideoTrackList

## Implemented Interfaces

WebKitDOMVideoTrackList implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_video_track_list_item ()

    WebKitDOMVideoTrack *
    webkit_dom_video_track_list_item (WebKitDOMVideoTrackList *self,
                                      gulong index);

#### Parameters

self | A WebKitDOMVideoTrackList |
index | A gulong |

#### Returns

A WebKitDOMVideoTrack.

[transfer none]

### webkit_dom_video_track_list_get_track_by_id ()

    WebKitDOMVideoTrack *
    webkit_dom_video_track_list_get_track_by_id
                                   (WebKitDOMVideoTrackList *self,
                                    const gchar *id);

#### Parameters

self | A WebKitDOMVideoTrackList |
id | A gchar |

#### Returns

A WebKitDOMVideoTrack.

[transfer none]

### webkit_dom_video_track_list_dispatch_event ()

    gboolean
    webkit_dom_video_track_list_dispatch_event
                                   (WebKitDOMVideoTrackList *self,
                                    WebKitDOMEvent *evt,
                                    GError **error);

`webkit_dom_video_track_list_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMVideoTrackList |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_video_track_list_get_length ()

    gulong
    webkit_dom_video_track_list_get_length
                                   (WebKitDOMVideoTrackList *self);

`webkit_dom_video_track_list_get_length` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMVideoTrackList |

#### Returns

A gulong

## Types and Values

### WebKitDOMVideoTrackList

    typedef struct _WebKitDOMVideoTrackList WebKitDOMVideoTrackList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong VideoTrackList:length.

Flags: Read